GCLI-COMMENT(1)

NAME
gcli comment - Comment on tickets in git forges

SYNOPSIS
gcli comment [-y] [-o owner -r repo] [-i issue | -p PR] [-R comment]

DESCRIPTION
gcli comment can be used to add comments in the discussion under issues and pull requests on git(1) forges such as GitHub, GitLab and Gitea. Note that PRs are treated as issues on GitHub and Gitea, making the -i and -p flags exchangeable without changing the overall effect of creating the comment. gcli comment will open an editor, either specified in your environment through EDITOR or the one set in your global config file to enter the comment. See gcli(1).

OPTIONS

-o, --owner owner
    Comment in the repository of the given owner. This option can only be used in combination with -r.

-r, --repo repo
    Comment in the given repository. This option can only be used in combination with -r.

-y, --yes
    Do not ask for confirmation before submitting the comment. Assume yes.

-i, --issue issue
    Create the comment under issue #issue.

-p, --pull pr
    Create the comment under PR #pr.

-R, --in-reply-to comment
    Create a reply to the comment with ID comment. This will put the refenced comment prefixed with “> ” into the response file for you to edit.

EXAMPLES
Comment under PR #11 in the upstream repository:

    $ gcli comment -p 11

Comment under issue 1 in herrhotzenplotz/gcli:

    $ gcli comment -o herrhotzenplotz -r gcli -i 1

SEE ALSO
git(1), gcli(1), gcli-issues(1), gcli-pulls(1)

AUTHORS
Nico Sonack aka. herrhotzenplotz <nsonack@herrhotzenplotz.de> and contributors.

BUGS
There is no way to preview the markdown markup, however you can input markdown which will be rendered on the remote site.

Please report bugs via E-Mail to https://lists.sr.ht/~herrhotzenplotz/gcli-discuss.

Alternatively you can report them on any of the forges linked at https://sr.ht/~herrhotzenplotz/gcli. However, the preferred and quickest method is to use the mailing list.